<!doctype html>
<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta charset="UTF-8">
    <link
      href="https://fonts.googleapis.com/css2?family=:Inter,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000&display=swap"
      rel="stylesheet"
    >

    <script src="https://kit.fontawesome.com/a4f8ae2a61.js" crossorigin="anonymous"></script>

    {{ 'all.css' | asset_url | stylesheet_tag }}
    {{ 'all.min.css' | asset_url | stylesheet_tag }}
    {{ 'bootstrap.min.css' | asset_url | stylesheet_tag }}
    {{ 'wc-custom-style.css' | asset_url | stylesheet_tag }}
  </head>

  <body>
    <!-- Your Liquid template -->
    <div id="wc-loader">
      <div class="wc-loader"></div>
    </div>

    <div id="recipe-list" style="display: none">
      <div class=" container d-block mt-5">
        <h1 class="main-page-title page-title h0">Recipes</h1>
      </div>
      <section class="recipe-design1">
        <div class="container">
          <div class="row" id="design1"></div>
        </div>
      </section>
    </div>

    <section class="py-5" id="recipe-view" style="display:none"></section>

    <script>
      // get recipe id
      const recipeId =  new URLSearchParams(window.location.search).get('keyword');

      // check recipe is exist or not
      if(!recipeId) 
      {
        var shopDomain = '{{ shop.domain }}';
        // get all recipes and add into list
        fetch('https://phplaravel-523670-3512667.cloudwaysapps.com/api/recipes/' + shopDomain)
        .then(response => response.json())
        .then(data => {
          const recipeList = document.getElementById('design1');
          data.items.forEach(recipe => {
            console.log(recipe);
            recipeList.innerHTML += `
              <div class="col-lg-4 col-md-6 mb-4 mb-lg-4 mb-md-3"><div class="recipe-box"><div class="recipe-img"><img src="https://phplaravel-523670-3512667.cloudwaysapps.com/${recipe.images[0].url}"></div><div class="recipe-des p-3"><span class="highlight">Ready in  ${recipe.pt_mm} minutes</span><a href="?keyword=${recipe.slug}"><h4 class="mt-3">${recipe.name}</h4></a><p class="mb-0">${recipe.desc}</p></div><div class="recipe-icon p-3"><ul><li><i class="far fa-clock"></i>${recipe.ct_hh} hr ${recipe.ct_mm} min</li><li><i class="far fa-user"></i>${recipe.serving_number} Person</li></ul></div></div></div>
            `;
          });
        });

        setTimeout(function() {
          document.getElementById('wc-loader').style.display = 'none';
          document.getElementById('recipe-list').style.display = 'block';
        }, 1000)
        
      } else {
        fetch('https://phplaravel-523670-3512667.cloudwaysapps.com/api/recipe/' + recipeId)
        .then(response => response.json())
        .then(data => {
          const recipeView = document.getElementById('recipe-view');
          var recipe = data.items;
          let html = '';
          html += `
          <div class="container"><div class="row"><div class="col-lg-6 mb-3 mb-lg-0"><div class="recipe-detail-img"><img src="https://phplaravel-523670-3512667.cloudwaysapps.com/${recipe.images[0].url}"></div></div><div class="col-lg-6 mt-3"><div class="recipe-detail-right"><h2 class="mb-3">${recipe.name}</h2><p>${recipe.desc}</p><ul class="recipe-cooking"><li>PreTime<span>${recipe.pt_hh} hr ${recipe.pt_mm} min</span></li><li>CookTime<span>${recipe.ct_hh} hr ${recipe.ct_mm} min</span></li><li>Serving<span>${recipe.serving_number} Person</span></li></ul>`;

          html += `<ul class="recipe-extra">`;
          recipe.options.forEach((item, index) => {
            html += `<li><span>${item.name}</span></li>`;
          });
          html += `</ul></div></div></div>`;

          html += `<div class="row mt-5"><div class="col-lg-12"><div class="detail-box"><div class="row"><div class="col-lg-6 mb-4 mb-lg-0 boder-me pe-0 pe-lg-5"><h3>INGREDIENTS</h3>${recipe.ingredient_desc}</div><div class="col-lg-6 mb-4 mb-lg-0 ps-0 ps-lg-5"><h3>METHOD</h3>${recipe.cooking_desc}</div></div></div></div></div>`;

          html += `<div class="text-center mt-5"><div class="copied-alert" id="copy-alert" style="display:none">Link Copied!</div><button class="btn btn-link btn-lg text-dark"  onclick="copyContent()"><i class="fa-solid fa-share me-2"></i> Share</button></div>`;

          recipeView.innerHTML = html;
        });

        setTimeout(function() {
          document.getElementById('wc-loader').style.display = 'none';
          document.getElementById('recipe-view').style.display = 'block';
        }, 1000)
      }







    </script>

    <script>
      function copyContent() {
        var text = window.location.href;
        navigator.clipboard.writeText(text);
        document.getElementById('copy-alert').style.display = 'block';

         setTimeout(function() {
         document.getElementById('copy-alert').style.display = 'none';
        }, 2000)
      };
    </script>
  </body>
</html>
